package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class SporadicPayDto extends PayParamBasicDto {
    @ApiModelProperty(value = "金额",required = false)
    private BigDecimal amount;

    @ApiModelProperty(value = "用户编号",required = false)
    private Integer userId;

    @ApiModelProperty(value = "支付项编号",required = false)
    private Integer sporadicId;

    @ApiModelProperty(value = "购买数量",required = false)
    private Integer num = 1;

    public BigDecimal getAmount() {
        return amount;
    }

    public void setAmount(BigDecimal amount) {
        this.amount = amount;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getSporadicId() {
        return sporadicId;
    }

    public void setSporadicId(Integer sporadicId) {
        this.sporadicId = sporadicId;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }
}
